List all Charges for a Task
get
/public/v1/tasks/{task}/chargestaskstringrequiredThe task UUID
page[size]integerNumber of results per page. Minimum 1, maximum 100.
Default:25page[number]integerThe page number to retrieve. Use the
last_pagevalue from themetaresponse to determine the total number of pages available.Default:1
Response
200application/jsonPaginated set of TaskChargeResource
dataobject[]required▶Show 10 child attributesHide child attributes
idstringrequiredExample:c1h2a3r4-g5e6-47f8-9a0b-1c2d3e4f5a6bdatestringrequiredExample:2024-01-15T10:30:00+00:00quantitynumber | nullrequiredExample:1.5is_primarybooleanrequiredExample:trueunit_costintegerrequiredExample:5000total_costintegerrequiredExample:7500statusstringrequiredExample:pendingsupport_item_numberstringrequiredExample:07_002_0106_8_3charge_itemobject | nullrequired▶Show 9 child attributesHide child attributes
idstringrequiredExample:c1h2a3r4-g5e6-47i8-9b0c-1d2e3f4a5b6creferencestringrequiredExample:SUPPORT_COORD_L2numberstringrequiredExample:07_001_0106_8_3namestringrequiredExample:Support Coordination Level 2unitstringrequiredExample:HpriceintegerrequiredExample:10044gst_codestringrequiredExample:P2default_claim_typestring | nullrequiredExample:Directarchived_atstring | nullrequired
invoiceobject | nullrequired▶Show 1 child attributesHide child attributes
idstringrequiredExample:i1n2v3o4-a5b6-47c8-9d0e-1f2a3b4c5d6e
metaobjectrequired▶Show 5 child attributesHide child attributes
current_pageintegerrequired≥ 1last_pageintegerrequired≥ 1per_pageintegerrequired≥ 0Number of items shown per page.
totalintegerrequired≥ 0Total number of items being paginated.
allowed_sortsstring[]requiredThe list of allowed sorts for this endpoint.
401Unauthenticated403Authorization error404Not found